//
// UpdateNotifyRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct UpdateNotifyRequest: Codable, JSONEncodable, Hashable {

    public var notify: String?

    public init(notify: String? = nil) {
        self.notify = notify
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case notify
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(notify, forKey: .notify)
    }
}

